package enum

type UserLevelTaskType int

const (
	DirectPushMembersNum UserLevelTaskType = iota + 1
	DirectPushActiveDayNum
	DirectPushLevel
)

func (kind UserLevelTaskType) String() string {
	switch kind {
	case DirectPushMembersNum:
		return "直推会员人数"
	case DirectPushActiveDayNum:
		return "直推会员活跃天数"
	case DirectPushLevel:
		return "直推会员等级"
	default:
		return "未知状态"
	}
}
